Package org.apache.batchee.container.status

## Class StepStatus

- java.lang.Object
- - org.apache.batchee.container.status.StepStatus

- All Implemented Interfaces:
    `Serializable`

      public class StepStatus
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepStatus​(long stepExecutionId)` |
    `StepStatus​(long stepExecutionId, int startCount)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `String` | `getExitStatus()` |
    `long` | `getLastRunStepExecutionId()` |
    `Integer` | `getNumPartitions()` |
    `Serializable` | `getPersistentUserData()` |
    `byte[]` | `getRawPersistentUserData()` |
    `int` | `getStartCount()` |
    `long` | `getStepExecutionId()` |
    `void` | `incrementStartCount()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setLastRunStepExecutionId​(long lastRunStepExecutionId)` |
    `void` | `setNumPartitions​(Integer numPartitions)` |
    `void` | `setPersistentUserData​(PersistentDataWrapper persistentUserData)` |
    `void` | `setStepExecutionId​(long stepExecutionId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepStatus

          public StepStatus​(long stepExecutionId,
                            int startCount)

    - #### StepStatus

          public StepStatus​(long stepExecutionId)

  - ### Method Detail

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getStepExecutionId

          public long getStepExecutionId()

    - #### getStartCount

          public int getStartCount()

    - #### incrementStartCount

          public void incrementStartCount()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setPersistentUserData

          public void setPersistentUserData​(PersistentDataWrapper persistentUserData)

    - #### getRawPersistentUserData

          public byte[] getRawPersistentUserData()

    - #### getPersistentUserData

          public Serializable getPersistentUserData()

    - #### getNumPartitions

          public Integer getNumPartitions()

    - #### setNumPartitions

          public void setNumPartitions​(Integer numPartitions)

    - #### setStepExecutionId

          public void setStepExecutionId​(long stepExecutionId)

    - #### getLastRunStepExecutionId

          public long getLastRunStepExecutionId()

    - #### setLastRunStepExecutionId

          public void setLastRunStepExecutionId​(long lastRunStepExecutionId)